Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.imp3d.objects
Class Label

    java.lang.Object
      de.grogra.graph.impl.Edge
          de.grogra.graph.impl.Node
              de.grogra.imp3d.objects.Null
                  de.grogra.imp3d.objects.Label

All Implemented Interfaces:
  Transformation, Renderable, Manageable, PersistenceCapable, Shareable, UserFields, XObject, Map, java.io.Serializable

Direct Known Subclasses:
  TextLabelBase

    public abstract class Label

extends Null
implements Renderable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.graph.impl.Node
`Node.AccessorBridge, Node.FieldAttributeAccessor, Node.NType`

Nested classes/interfaces inherited from interface de.grogra.util.Map
`Map.Chain`

Field Summary
`static Node.NType` | `$TYPE`
`protected static int` | `BOTTOM_MASK`
`protected static int` | `HORIZONTAL_MASK`
`static Node.NType.Field` | `horizontalAlignment$FIELD`
`protected static int` | `LEFT_MASK`
`protected static int` | `RIGHT_MASK`
`protected static int` | `TOP_MASK`
`static int` | `USED_BITS`
`protected static int` | `VERTICAL_MASK`
`static Node.NType.Field` | `verticalAlignment$FIELD`

Fields inherited from class de.grogra.imp3d.objects.Null
`transform, transform$FIELD, TRANSFORMING_MASK, transforming$FIELD`

Fields inherited from class de.grogra.graph.impl.Node
`ADDITIONAL_FIELDS, bits, DELETED, EXTENT_BIT, EXTENT_MASK, extentIndex$FIELD, extentTail$FIELD, HAS_OBSERVERS, IS_INTERPRETIVE, isInterpretive$FIELD, LAST_EXTENT_INDEX, layer$FIELD, MARK, mark$FIELD, MIME_TYPE, MIN_UNUSED_SPECIAL_OF_SOURCE, MIN_UNUSED_SPECIAL_OF_TARGET, name$FIELD`

Fields inherited from interface de.grogra.util.Map
`DEFAULT_VALUE, EMPTY_MAP`

Constructor Summary
`Label()`

Method Summary
`int` | `getHorizontalAlignment()`
`int` | `getVerticalAlignment()`
`void` | `setAlignment(int horizontalAlignment, int verticalAlignment)`
`void` | `setHorizontalAlignment(int alignment)`
`void` | `setVerticalAlignment(int alignment)`

Methods inherited from class de.grogra.imp3d.objects.Null
`getLocalTransformation, getNTypeImpl, getTransform, getTranslation, isTransforming, newInstance, postTransform, preTransform, setRotation, setScale, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransform, setTransforming, setTranslation`

Methods inherited from class de.grogra.graph.impl.Node
`addEdgeBitsTo, addReference, appendBranchNode, appendBranchNode, appendReferencesTo, clone, clone, cloneGraph, dump, dumpTree, dup, dupUnmanagedFields, edgeChanged, fieldModified, findAdjacent, get, getAccessor, getAccessor, getAttributes, getAxisParent, getBoolean, getBranch, getBranchLength, getBranchNode, getBranchTail, getByte, getChar, getCommonAncestor, getCurrentGraphState, getDirectChildCount, getDouble, getEdgeAttributeAccessor, getEdgeAttributes, getEdgeBitsTo, getEdgeTo, getExtentIndex, getFirst, getFirstEdge, getFloat, getGraph, getId, getIndex, getInstantiator, getInt, getLayer, getLong, getManageableType, getName, getNeighbor, getNext, getNType, getObject, getOrCreateEdgeTo, getOrNull, getPersistenceManager, getPredecessor, getProvider, getShort, getSource, getStamp, getSuccessor, getSymbol, getSymbolColor, getTarget, getTransaction, getUserField, getUserFieldCount, getXClass, getXData, hasName, initProvider, initXClass, insertBranchNode, insertBranchNode, instantiateGraph, isAncestorOf, isDirection, isManagingInstance, isMarked, isRoot, isSource, isTarget, manageableReadResolve, manageableWriteReplace, paramString, removeAll, removeEdgeBitsTo, removeFromChain, removeFromChain, removeReference, setBranch, setBranch, setExtentIndex, setGraphForDeserialization, setLayer, setMark, setName, setSuccessor, setSuccessor, specialEdgeAdded, specialEdgeRefModified, specialEdgeRemoved, toString, writeReplace`

Methods inherited from class de.grogra.graph.impl.Edge
`addEdgeBits, getBitMark, getEdgeBits, getObjectMark, getSpecialEdgeDescriptor, parseEdgeKeys, remove, removeEdgeBits, setBitMark, setEdgeBits, setObjectMark, testEdgeBits`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface de.grogra.imp3d.Renderable
`draw`

Methods inherited from interface de.grogra.persistence.PersistenceCapable
`getBitMark, getObjectMark, setBitMark, setObjectMark`

Field Detail

### $TYPE

    public static final Node.NType $TYPE

### BOTTOM_MASK

    protected static final int BOTTOM_MASK

See Also:
  Constant Field Values

### HORIZONTAL_MASK

    protected static final int HORIZONTAL_MASK

See Also:
  Constant Field Values

### horizontalAlignment$FIELD

    public static final Node.NType.Field horizontalAlignment$FIELD

### LEFT_MASK

    protected static final int LEFT_MASK

See Also:
  Constant Field Values

### RIGHT_MASK

    protected static final int RIGHT_MASK

See Also:
  Constant Field Values

### TOP_MASK

    protected static final int TOP_MASK

See Also:
  Constant Field Values

### USED_BITS

    public static final int USED_BITS

See Also:
  Constant Field Values

### VERTICAL_MASK

    protected static final int VERTICAL_MASK

See Also:
  Constant Field Values

### verticalAlignment$FIELD

    public static final Node.NType.Field verticalAlignment$FIELD

Constructor Detail

### Label

    public Label()

Method Detail

### getHorizontalAlignment

    public int getHorizontalAlignment()

### getVerticalAlignment

    public int getVerticalAlignment()

### setAlignment

    public void setAlignment(int horizontalAlignment,
                             int verticalAlignment)

### setHorizontalAlignment

    public void setHorizontalAlignment(int alignment)

### setVerticalAlignment

    public void setVerticalAlignment(int alignment)

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD